# Generated from numeric_math-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name numeric_math

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: Add Math module methods as instance methods to Numeric and descendants
License: Ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
BuildArch: noarch

%description
NumericMath extends the Numeric class with methods from Math
module. The purpose is to increase productivity when using Math module
methods interactively. Some might find the simpler approach convenient
also for actual programs.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.rdoc
%doc %{gem_instdir}/README.rdoc

%changelog
* Tue Sep 14 2021 mockbuilder - 0.0.2-1
- Initial package
